<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

$ref = rand(1000, 9999);
$banner = file("system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);
$kabinet = trim($banner[4]);
$ttl = "Выберите скин";
switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header ("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");

if(mysql_affected_rows() == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Error\" ontimer=\"/menu/wml\"><timer value=\"15\" /><p align=\"left\">\n";
echo "Данное меню предназначено только для HTML-версии.<br/>\n";
echo "<br/><a href=\"/menu/wml\">В прихожую</a><br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/><small>[".round(($sec+$msec)-$headtime,5)."] sec</small><br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':

if(isset($_GET['mod']))
{
$mod = $_GET['mod'];
}
else
{
$mod = "";
}

switch($mod)
{
case '':
//INSTALL THEME
if(isset($_GET['theme']))
{
setcookie ("theme", $_GET['theme'], time() + 3600 * 12 * 30, "/", "", 0);
header("Location: kabinet.php?".SID."&ver=html&th=yes");
die();
}

header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");

if(mysql_affected_rows() == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('banners/kabinet');
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH
//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';

echo'<div class="d3">'.$ttl.'</div>';
echo "<img src=\"res/icons/green.png\" alt=\".\" />\n";
echo "<a href=\"themes.php?".SID."&amp;ver=html&amp;mod=view&amp;thm=green\">Зеленый</a><br/>\n";
echo "<img src=\"res/icons/blue.png\" alt=\".\" />\n";
echo "<a href=\"themes.php?".SID."&amp;ver=html&amp;mod=view&amp;thm=blue\">Синий</a><br/>\n";
echo "<img src=\"res/icons/korich.png\" alt=\".\" />\n";
echo "<a href=\"themes.php?".SID."&amp;ver=html&amp;mod=view&amp;thm=brown\">Коричневый</a><br/>\n";
echo "<img src=\"res/icons/grey.png\" alt=\".\" />\n";
echo "<a href=\"themes.php?".SID."&amp;ver=html&amp;mod=view&amp;thm=gray\">Серый</a><br/>\n";
echo "<img src=\"res/icons/fioletovy.png\" alt=\".\" />\n";
echo "<a href=\"themes.php?".SID."&amp;ver=html&amp;mod=view&amp;thm=purple\">Фиолетовый</a><br/>\n";
echo "<img src=\"res/icons/rozovy.png\" alt=\".\" />\n";
echo "<a href=\"themes.php?".SID."&amp;ver=html&amp;mod=view&amp;thm=pink\">Розовый</a><br/>\n";
echo "<img src=\"res/icons/red.png\" alt=\".\" />\n";
echo "<a href=\"themes.php?".SID."&amp;ver=html&amp;mod=view&amp;thm=red\">Красный</a><br/>\n";
echo "<img src=\"res/icons/bolotny.png\" alt=\".\" />\n";
echo "<a href=\"themes.php?".SID."&amp;ver=html&amp;mod=view&amp;thm=teal\">Болотный</a><br/>\n";
echo "<div class=\"d1\">• <a href=\"/kabinet/html\">Личный кабинет</a></div>\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('banners/kabinet');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
break;
///////////////////
case 'view':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';
if(!empty($_GET['thm']))
{
echo'<div>';
echo"<img src=\"res/skins/$_GET[thm].gif\" alt=\"sss\"><br/>";
echo"<a href=\"themes.php?".SID."&amp;ver=html&amp;theme=".$_GET['thm']."\">Выбрать</a><br/>";
echo'</div>';
}
else
{
echo'<div class="d5">Ошибка</div>';
}
echo "<div class=\"d1\">• <a href=\"/kabinet/html\">Личный кабинет</a></div>\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('banners/kabinet');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
break;
////////////////////////////////////////////////
}
}
?>